## python-oslo.privsep 1.9.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

oslo.log>=1.14.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.config>=3.10.0 # Apache-2.0
oslo.utils>=3.11.0 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
cffi # MIT
eventlet!=0.18.3,>=0.18.2 # MIT
greenlet>=0.3.2 # MIT
msgpack-python>=0.4.0 # Apache-2.0

=== debian/changelog ===
python-oslo.privsep (1.9.0-2+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 20:35:13 +0000

python-oslo.privsep (1.9.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.
  * d/control: Align (Build-)Depends with upstream.

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Thomas Goirand ]
  * Switch to pkgos-dh_auto_{test,install}.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Jul 2016 19:16:12 +0000

python-oslo.privsep (1.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Apr 2016 08:47:50 +0000

python-oslo.privsep (1.3.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Update the update-alternatives to follow /usr/bin/privsep-helper rename.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 01:59:25 +0000

python-oslo.privsep (0.3.0-1) experimental; urgency=medium

  * Initial release. (Closes: #811049)

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jan 2016 15:18:43 +0800

=== debian/control ===
Source: python-oslo.privsep
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools,
Build-Depends-Indep: python-cffi,
                     python-enum34,
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-greenlet,
                     python-hacking,
                     python-mock (>= 2.0),
                     python-msgpack,
                     python-oslo.config (>= 3.10.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.utils (>= 3.11.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python3-cffi,
                     python3-eventlet (>= 0.18.4),
                     python3-fixtures (>= 3.0.0),
                     python3-greenlet,
                     python3-mock (>= 2.0),
                     python3-msgpack,
                     python3-oslo.config (>= 3.10.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 1.14.0),
                     python3-oslo.utils (>= 3.11.0),
                     python3-oslotest (>= 1.10.0),
                     python3-subunit,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-oslo.privsep?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-oslo.privsep -b debian/newton
Homepage: https://launchpad.net/oslo

Package: python-oslo.privsep
Architecture: all
Depends: python-cffi,
         python-enum34,
         python-eventlet (>= 0.18.4),
         python-greenlet,
         python-msgpack,
         python-oslo.config (>= 3.10.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.utils (>= 3.11.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-oslo.privsep-doc,
Description: OpenStack library for privilege separation - Python 2.7
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the Python 2.7 module.

Package: python3-oslo.privsep
Architecture: all
Depends: python3-cffi,
         python3-eventlet (>= 0.18.4),
         python3-greenlet,
         python3-msgpack,
         python3-oslo.config (>= 3.10.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 1.14.0),
         python3-oslo.utils (>= 3.11.0),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-oslo.privsep-doc,
Description: OpenStack library for privilege separation - Python 3.x
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the Python 3.x module.

Package: python-oslo.privsep-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack library for privilege separation - doc
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the documentation.

## python-oslo.privsep 1.13.0

=== requirements.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 oslo.log>=1.14.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
-oslo.config>=3.10.0 # Apache-2.0
-oslo.utils>=3.11.0 # Apache-2.0
+oslo.config>=3.14.0 # Apache-2.0
+oslo.utils>=3.16.0 # Apache-2.0
 enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
 cffi # MIT
 eventlet!=0.18.3,>=0.18.2 # MIT

=== debian/changelog ===
python-oslo.privsep (1.13.0-0ubuntu1.1~cloud0) xenial-newton; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 15 Dec 2016 22:10:02 +0000

python-oslo.privsep (1.13.0-0ubuntu1.1) yakkety; urgency=medium

  * d/p/deal-with-conf-config-dir.patch: Cherry pick patch from upstream
    stable/newton branch to properly handle CONF.config_dir (LP: #1616240).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Dec 2016 07:50:45 -0500

python-oslo.privsep (1.13.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Aug 2016 13:57:35 -0400

python-oslo.privsep (1.12.0-1) experimental; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Thu, 25 Aug 2016 09:02:06 +0100

python-oslo.privsep (1.11.0-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 23 Aug 2016 11:03:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-oslo.privsep
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            David Della Vecchia <ddv@canonical.com>,
 Build-Depends: debhelper (>= 9),
@@ -22,10 +23,10 @@
                      python-hacking,
                      python-mock (>= 2.0),
                      python-msgpack,
-                     python-oslo.config (>= 3.10.0),
+                     python-oslo.config (>= 3.14.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 1.14.0),
-                     python-oslo.utils (>= 3.11.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
                      python3-cffi,
@@ -34,17 +35,17 @@
                      python3-greenlet,
                      python3-mock (>= 2.0),
                      python3-msgpack,
-                     python3-oslo.config (>= 3.10.0),
+                     python3-oslo.config (>= 3.14.0),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.log (>= 1.14.0),
-                     python3-oslo.utils (>= 3.11.0),
+                     python3-oslo.utils (>= 3.16.0),
                      python3-oslotest (>= 1.10.0),
                      python3-subunit,
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-oslo.privsep?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-oslo.privsep -b debian/newton
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-oslo.privsep.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.privsep.git
 Homepage: https://launchpad.net/oslo
 
 Package: python-oslo.privsep
@@ -54,10 +55,10 @@
          python-eventlet (>= 0.18.4),
          python-greenlet,
          python-msgpack,
-         python-oslo.config (>= 3.10.0),
+         python-oslo.config (>= 3.14.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 1.14.0),
-         python-oslo.utils (>= 3.11.0),
+         python-oslo.utils (>= 3.16.0),
          ${misc:Depends},
          ${python:Depends},
 Suggests: python-oslo.privsep-doc,
@@ -74,10 +75,10 @@
          python3-eventlet (>= 0.18.4),
          python3-greenlet,
          python3-msgpack,
-         python3-oslo.config (>= 3.10.0),
+         python3-oslo.config (>= 3.14.0),
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.log (>= 1.14.0),
-         python3-oslo.utils (>= 3.11.0),
+         python3-oslo.utils (>= 3.16.0),
          ${misc:Depends},
          ${python3:Depends},
 Suggests: python-oslo.privsep-doc,

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.privsep.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif


override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-oslo.privsep-doc/usr/share/doc/python-oslo.privsep-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build


# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.privsep 1.16.0

=== requirements.txt ===
--- 
+++ 
@@ -2,10 +2,10 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-oslo.log>=1.14.0 # Apache-2.0
+oslo.log>=3.11.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
-oslo.config>=3.14.0 # Apache-2.0
-oslo.utils>=3.16.0 # Apache-2.0
+oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
+oslo.utils>=3.18.0 # Apache-2.0
 enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
 cffi # MIT
 eventlet!=0.18.3,>=0.18.2 # MIT

=== debian/changelog ===
python-oslo.privsep (1.16.0-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 04 Sep 2017 14:33:34 +0200

python-oslo.privsep (1.13.0-3) UNRELEASED; urgency=medium

  * Bumped debhelper compat version to 10

 -- Ondřej Nový <onovy@debian.org>  Thu, 24 Nov 2016 00:09:24 +0100

python-oslo.privsep (1.13.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:13:00 +0200

python-oslo.privsep (1.13.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit VCS URLs.
  * Modified .gitreview file to point at Gerrit.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Sep 2016 09:47:43 +0200

=== debian/control ===
Source: python-oslo.privsep
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools,
Build-Depends-Indep: python-cffi,
                     python-enum34,
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-greenlet (>= 0.3.2),
                     python-hacking,
                     python-mock (>= 2.0),
                     python-msgpack (>= 0.4.0),
                     python-oslo.config (>= 3.22.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python3-cffi,
                     python3-eventlet (>= 0.18.4),
                     python3-fixtures (>= 3.0.0),
                     python3-greenlet (>= 0.3.2),
                     python3-mock (>= 2.0),
                     python3-msgpack (>= 0.4.0),
                     python3-oslo.config (>= 3.22.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 3.11.0),
                     python3-oslo.utils (>= 3.18.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-subunit,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-oslo.privsep?h=debian%2Focata
Vcs-Git: https://git.openstack.org/openstack/deb-python-oslo.privsep -b debian/ocata
Homepage: https://launchpad.net/oslo

Package: python-oslo.privsep
Architecture: all
Depends: python-cffi,
         python-enum34,
         python-eventlet (>= 0.18.4),
         python-greenlet (>= 0.3.2),
         python-msgpack (>= 0.4.0),
         python-oslo.config (>= 3.22.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.utils (>= 3.18.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-oslo.privsep-doc,
Description: OpenStack library for privilege separation - Python 2.7
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the Python 2.7 module.

Package: python3-oslo.privsep
Architecture: all
Depends: python3-cffi,
         python3-eventlet (>= 0.18.4),
         python3-greenlet (>= 0.3.2),
         python3-msgpack (>= 0.4.0),
         python3-oslo.config (>= 3.22.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 3.11.0),
         python3-oslo.utils (>= 3.18.0),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-oslo.privsep-doc,
Description: OpenStack library for privilege separation - Python 3.x
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the Python 3.x module.

Package: python-oslo.privsep-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack library for privilege separation - doc
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the documentation.

## python-oslo.privsep 1.22.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

oslo.log>=3.22.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
cffi # MIT
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
greenlet>=0.3.2 # MIT
msgpack-python>=0.4.0 # Apache-2.0

=== debian/changelog ===
python-oslo.privsep (1.22.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Aug 2017 18:11:27 -0400

python-oslo.privsep (1.21.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Jul 2017 21:56:12 -0400

python-oslo.privsep (1.20.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:27:14 +0100

python-oslo.privsep (1.19.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align Depends with upstream.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:04:03 +0100

python-oslo.privsep (1.16.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 19 Jan 2017 12:28:08 -0500

python-oslo.privsep (1.15.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Dec 2016 11:38:01 -0500

python-oslo.privsep (1.14.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version. 
  * debian/control: Bump version depdencies.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Oct 2016 13:08:44 -0400

=== debian/control ===
Source: python-oslo.privsep
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
Build-Depends-Indep: python-cffi,
                     python-enum34,
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-greenlet (>= 0.3.2),
                     python-mock (>= 2.0),
                     python-msgpack (>= 0.4.0),
                     python-openstackdocstheme (>= 1.11.0),
                     python-oslo.config (>= 1:4.0.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.22.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslotest (>= 1.10.0),
                     python3-cffi,
                     python3-eventlet (>= 0.18.2),
                     python3-fixtures (>= 3.0.0),
                     python3-greenlet (>= 0.3.2),
                     python3-mock (>= 2.0),
                     python3-msgpack (>= 0.4.0),
                     python3-openstackdocstheme (>= 1.11.0),
                     python3-oslo.config (>= 1:4.0.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 3.22.0),
                     python3-oslo.utils (>= 3.20.0),
                     python3-oslotest (>= 1.10.0),
                     python3-subunit,
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.privsep
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.privsep
Homepage: https://launchpad.net/oslo

Package: python-oslo.privsep
Architecture: all
Depends: python-cffi,
         python-enum34,
         python-eventlet (>= 0.18.4),
         python-greenlet,
         python-msgpack,
         python-oslo.config (>= 1:4.0.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.22.0),
         python-oslo.utils (>= 3.20.0),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-oslo.privsep-doc,
Description: OpenStack library for privilege separation - Python 2.7
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the Python 2.7 module.

Package: python3-oslo.privsep
Architecture: all
Depends: python3-cffi,
         python3-eventlet (>= 0.18.4),
         python3-greenlet,
         python3-msgpack,
         python3-oslo.config (>= 1:4.0.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 3.22.0),
         python3-oslo.utils (>= 3.20.0),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-oslo.privsep-doc,
Description: OpenStack library for privilege separation - Python 3.x
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the Python 3.x module.

Package: python-oslo.privsep-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack library for privilege separation - doc
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the documentation.

## python-oslo.privsep 1.27.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

oslo.log>=3.30.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
cffi>=1.7.0 # MIT
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
greenlet>=0.4.10 # MIT
msgpack>=0.4.0 # Apache-2.0

=== debian/changelog ===
python-oslo.privsep (1.27.0-3) unstable; urgency=medium

  * Fixed Python 3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Mar 2018 18:54:13 +0000

python-oslo.privsep (1.27.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:26:12 +0000

python-oslo.privsep (1.27.0-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 11:21:09 +0000

python-oslo.privsep (1.22.0-2) unstable; urgency=medium

  * Add minimum version for openstackdocstheme (Closes: #880189).
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 21:48:06 +0000

python-oslo.privsep (1.22.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_install.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 Sep 2017 11:54:29 +0000

=== debian/control ===
Source: python-oslo.privsep
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python-cffi,
 python-enum34,
 python-eventlet,
 python-fixtures,
 python-greenlet,
 python-hacking,
 python-mock,
 python-msgpack,
 python-openstackdocstheme (>= 1.17.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.30.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest,
 python3-cffi,
 python3-eventlet,
 python3-fixtures,
 python3-greenlet,
 python3-mock,
 python3-msgpack,
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.privsep.git
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.privsep.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.privsep
Architecture: all
Depends:
 python-cffi,
 python-enum34,
 python-eventlet,
 python-greenlet,
 python-msgpack,
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.30.0),
 python-oslo.utils (>= 3.33.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-oslo.privsep-doc,
Description: OpenStack library for privilege separation - Python 2.7
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the Python 2.7 module.

Package: python-oslo.privsep-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack library for privilege separation - doc
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the documentation.

Package: python3-oslo.privsep
Architecture: all
Depends:
 python3-cffi,
 python3-eventlet,
 python3-greenlet,
 python3-msgpack,
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.utils (>= 3.33.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.privsep-doc,
Description: OpenStack library for privilege separation - Python 3.x
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,18 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test
+	@echo "===> Running tests"
+	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
+		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+		rm -rf .testrepository ; \
+		testr-python$$PYMAJOR init ; \
+		TEMP_REZ=`mktemp -t` ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
+		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+		rm -f $$TEMP_REZ ; \
+		testr-python$$PYMAJOR slowest ; \
+	done
 endif
 
 
@@ -25,6 +36,8 @@
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf build
 
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
 
 # Commands not to run
 override_dh_installcatalogs:

## python-oslo.privsep 1.29.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

oslo.log>=3.36.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
cffi>=1.7.0 # MIT
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
greenlet>=0.4.10 # MIT
msgpack>=0.5.0 # Apache-2.0

=== debian/changelog ===
python-oslo.privsep (1.29.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 23:13:11 +0200

python-oslo.privsep (1.29.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 01:00:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-oslo.privsep
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -11,10 +11,10 @@
  python-all,
  python-pbr,
  python-setuptools,
- python-sphinx (>= 1.6.2),
  python3-all,
  python3-pbr,
  python3-setuptools,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  python-cffi,
  python-enum34,
@@ -23,24 +23,24 @@
  python-greenlet,
  python-hacking,
  python-mock,
- python-msgpack,
- python-openstackdocstheme (>= 1.17.0),
- python-oslo.config (>= 1:5.1.0),
+ python-msgpack (>= 0.5.0),
+ python-oslo.config (>= 1:5.2.0),
  python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.30.0),
+ python-oslo.log (>= 3.36.0),
  python-oslo.utils (>= 3.33.0),
- python-oslotest,
+ python-oslotest (>= 1:3.2.0),
  python3-cffi,
  python3-eventlet,
  python3-fixtures,
  python3-greenlet,
  python3-mock,
- python3-msgpack,
- python3-oslo.config (>= 1:5.1.0),
+ python3-msgpack (>= 0.5.0),
+ python3-openstackdocstheme (>= 1.18.1),
+ python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.30.0),
+ python3-oslo.log (>= 3.36.0),
  python3-oslo.utils (>= 3.33.0),
- python3-oslotest,
+ python3-oslotest (>= 1:3.2.0),
  subunit,
  testrepository,
 Standards-Version: 4.1.3
@@ -55,10 +55,10 @@
  python-enum34,
  python-eventlet,
  python-greenlet,
- python-msgpack,
- python-oslo.config (>= 1:5.1.0),
+ python-msgpack (>= 0.5.0),
+ python-oslo.config (>= 1:5.2.0),
  python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.30.0),
+ python-oslo.log (>= 3.36.0),
  python-oslo.utils (>= 3.33.0),
  ${misc:Depends},
  ${python:Depends},
@@ -90,10 +90,10 @@
  python3-cffi,
  python3-eventlet,
  python3-greenlet,
- python3-msgpack,
- python3-oslo.config (>= 1:5.1.0),
+ python3-msgpack (>= 0.5.0),
+ python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.30.0),
+ python3-oslo.log (>= 3.36.0),
  python3-oslo.utils (>= 3.33.0),
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b html doc/source debian/python-oslo.privsep-doc/usr/share/doc/python-oslo.privsep-doc/html
+	PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.privsep-doc/usr/share/doc/python-oslo.privsep-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/oslo.privsep/tags .*/(\d[\d\.]+)\.tar\.gz

## python-oslo.privsep 1.32.1

=== requirements.txt ===
--- 
+++ 
@@ -11,3 +11,4 @@
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 greenlet>=0.4.10 # MIT
 msgpack>=0.5.0 # Apache-2.0
+futures>=3.1.1;python_version=='2.7' or python_version=='2.6' # PSF

=== debian/changelog ===
python-oslo.privsep (1.32.1-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 11 Mar 2019 18:00:06 +0000

python-oslo.privsep (1.32.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:04:17 +0000

python-oslo.privsep (1.31.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 14:24:05 +0000

python-oslo.privsep (1.30.1-0ubuntu3) disco; urgency=medium

  * d/python3-oslo.privsep.postinst: Prefer Py3 alternatives.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Nov 2018 12:03:35 +0000

python-oslo.privsep (1.30.1-0ubuntu2) disco; urgency=medium

  * d/control: python-openstackdocstheme -> python3-openstackdocstheme.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:41:15 +0000

python-oslo.privsep (1.30.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Use python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:25:39 +0000

python-oslo.privsep (1.29.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use upstream release tarballs.
    - Update Vcs-* fields.
    - Use pkgos_dh_auto_test.
  * New upstream release for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 10:27:43 +0100

python-oslo.privsep (1.27.0-0ubuntu3) bionic; urgency=medium

  * d/rules: Set PYTHONPATH to CURDIR for override_dh_auto_test. This
    prevents "FailedToDropPrivileges" error for test_getpid.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Apr 2018 13:36:32 -0400

python-oslo.privsep (1.27.0-0ubuntu2) bionic; urgency=medium

  * d/p/msgpack-python.patch: Compat patch for msgpack-python internal
    naming in Ubuntu and Debian.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Feb 2018 09:07:13 +0000

python-oslo.privsep (1.27.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Feb 2018 08:34:32 -0500

python-oslo.privsep (1.26.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jan 2018 10:48:29 +0000

python-oslo.privsep (1.24.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Drop, no longer required.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 11:23:11 +0000

python-oslo.privsep (1.23.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 13 Nov 2017 16:56:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-oslo.privsep
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -17,35 +18,36 @@
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  python-cffi,
+ python-concurrent.futures,
  python-enum34,
  python-eventlet,
  python-fixtures,
  python-greenlet,
  python-hacking,
  python-mock,
- python-msgpack (>= 0.5.0),
+ python-msgpack,
  python-oslo.config (>= 1:5.2.0),
  python-oslo.i18n (>= 3.15.3),
  python-oslo.log (>= 3.36.0),
  python-oslo.utils (>= 3.33.0),
- python-oslotest (>= 1:3.2.0),
+ python-oslotest (>= 3.2.0),
  python3-cffi,
  python3-eventlet,
  python3-fixtures,
  python3-greenlet,
  python3-mock,
- python3-msgpack (>= 0.5.0),
+ python3-msgpack,
  python3-openstackdocstheme (>= 1.18.1),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.utils (>= 3.33.0),
- python3-oslotest (>= 1:3.2.0),
+ python3-oslotest (>= 3.2.0),
  subunit,
  testrepository,
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.privsep.git
-Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.privsep.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.privsep
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.privsep
 Homepage: https://launchpad.net/oslo
 
 Package: python-oslo.privsep
@@ -55,7 +57,7 @@
  python-enum34,
  python-eventlet,
  python-greenlet,
- python-msgpack (>= 0.5.0),
+ python-msgpack,
  python-oslo.config (>= 1:5.2.0),
  python-oslo.i18n (>= 3.15.3),
  python-oslo.log (>= 3.36.0),
@@ -90,7 +92,7 @@
  python3-cffi,
  python3-eventlet,
  python3-greenlet,
- python3-msgpack (>= 0.5.0),
+ python3-msgpack,
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),

=== debian/rules ===
--- 
+++ 
@@ -11,24 +11,13 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	@echo "===> Running tests"
-	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
-		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
-		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-		rm -rf .testrepository ; \
-		testr-python$$PYMAJOR init ; \
-		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
-		rm -f $$TEMP_REZ ; \
-		testr-python$$PYMAJOR slowest ; \
-	done
+	PYTHONPATH=$(CURDIR) pkgos-dh_auto_test
 endif
 
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.privsep-doc/usr/share/doc/python-oslo.privsep-doc/html
+	sphinx-build -b html doc/source debian/python-oslo.privsep-doc/usr/share/doc/python-oslo.privsep-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif

## python-oslo.privsep 1.33.3

=== debian/changelog ===
python-oslo.privsep (1.33.3-3) unstable; urgency=medium

  * Add ubuntu patch to skip failing Py 3.8 tests (Closes: #950042).

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Feb 2020 12:01:30 +0100

python-oslo.privsep (1.33.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:43:31 +0200

python-oslo.privsep (1.33.3-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2019 11:40:16 +0200

python-oslo.privsep (1.33.2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Add python3-sphinxcontrib.apidoc as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2019 14:05:55 +0200

python-oslo.privsep (1.32.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 01:16:52 +0200

python-oslo.privsep (1.32.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Run unit tests using installed package in `pwd`/debian/tmp.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Mar 2019 23:40:41 +0100

=== debian/control ===
Source: python-oslo.privsep
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cffi,
 python3-eventlet,
 python3-fixtures,
 python3-greenlet,
 python3-hacking,
 python3-mock,
 python3-msgpack (>= 0.5.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.privsep
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.privsep.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.privsep-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack library for privilege separation - doc
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the documentation.

Package: python3-oslo.privsep
Architecture: all
Depends:
 python3-cffi,
 python3-eventlet,
 python3-greenlet,
 python3-msgpack (>= 0.5.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.privsep-doc,
Description: OpenStack library for privilege separation - Python 3.x
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the Python 3.x module.
